Subject: Re: [PATCH net-next 2/7] ynl: support render attribute in legacy definitions

From: Jakub Kicinski <[email-masked]>
Date: Wed, 13 Nov 2024 18:33:28 -0800

On Wed, 13 Nov 2024 15:40:00 -0800 Stanislav Fomichev wrote:
> > In file included from ethtool-user.c:9:
> > ethtool-user.h:13:10: fatal error: linux/ethetool_netlink_generated.h: No such file or directory
> >    13 | #include <linux/ethetool_netlink_generated.h>
> >       |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~  
> 
> I don't see any existing usage (or maybe I'm looking at the wrong
> place), but will spend some time reading the c-gen part. Worst case I
> might refresh this thread with more questions.

Could be the magic in the makefiles that tries to include uAPI
headers directly that needs updating.